############################################################
#  Note that this 'Makefile' assumes that the following
#  environment variables are set:
#
#     F77
#     F77FLAGS
#     F77CFLAGS
#     F77LFLAGS
#     LIBBLAS  
#
#  Put the appropriate 'setenv' commands in your '~/.cshrc'.  
#  See 'phy329@einstein:~/.cshrc' for an example.
############################################################
.IGNORE:

F77FLAGS = -mips2 -O2
F77_COMPILE  = $(F77) $(F77FLAGS) $(F77CFLAGS)
F77_LOAD     = $(F77) $(F77FLAGS) $(F77LFLAGS)
LIBS = -lF77 -lU77 -lI77 -lisam -lm -lgl_s

.c.o:
	cc -mips2 -O2 -I/usr/people/matt/include -c $*.c

.f.o:
	$(F77_COMPILE) $*.f

EXECUTABLES = casgi

all: $(EXECUTABLES)

casgi: casgi.o plot.o
	cc -mips2 -O2 casgi.o plot.o -lp329f $(LIBS) -o casgi

clean:
	rm *.o
	rm $(EXECUTABLES)
